Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.endpoint
Class DefaultEndpointStrategy.EndpointDefaults

    java.lang.Object
      com.eviware.soapui.impl.wsdl.endpoint.DefaultEndpointStrategy.EndpointDefaults

Enclosing class:
  DefaultEndpointStrategy

    public class DefaultEndpointStrategy.EndpointDefaults

extends java.lang.Object

Constructor Summary
`DefaultEndpointStrategy.EndpointDefaults(com.eviware.soapui.config.EndpointConfig endpointConfig)`

Method Summary
`protected com.eviware.soapui.config.EndpointConfig` | `getConfig()`
`java.lang.String` | `getDomain()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getUsername()`
`java.lang.String` | `getWssTimeToLive()`
`java.lang.String` | `getWssType()`
`void` | `setDomain(java.lang.String arg0)`
`void` | `setPassword(java.lang.String arg0)`
`void` | `setUsername(java.lang.String arg0)`
`void` | `setWssTimeToLive(java.lang.String arg0)`
`void` | `setWssType(java.lang.String arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultEndpointStrategy.EndpointDefaults

    public DefaultEndpointStrategy.EndpointDefaults(com.eviware.soapui.config.EndpointConfig endpointConfig)

Method Detail

### getDomain

    public java.lang.String getDomain()

### getPassword

    public java.lang.String getPassword()

### getUsername

    public java.lang.String getUsername()

### getWssTimeToLive

    public java.lang.String getWssTimeToLive()

### getWssType

    public java.lang.String getWssType()

### setDomain

    public void setDomain(java.lang.String arg0)

### setPassword

    public void setPassword(java.lang.String arg0)

### setUsername

    public void setUsername(java.lang.String arg0)

### setWssTimeToLive

    public void setWssTimeToLive(java.lang.String arg0)

### setWssType

    public void setWssType(java.lang.String arg0)

### getConfig

    protected com.eviware.soapui.config.EndpointConfig getConfig()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.